package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.AuditUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.AuditPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.AuditShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.Audit;

/**
 * @author shenyifei
 */
public interface AuditGateway {

    IPage<Audit> page(AuditPageQry auditPageQry);

    Audit update(AuditUpdateCmd auditUpdateCmd);

    Audit show(AuditShowQry auditShowQry);
}

